ubuntu_release=$(lsb_release -sr)
username=$(whoami)
homepath="/home/$username"
portable_programs_path="$homepath/Programs"
projects_path="$homepath/Projects"
tmp_path="$homepath/tmp"
applications_path="$homepath/.local/share/applications"
autostart_path="$homepath/.config/autostart"
aliases_path="$homepath/.bash_aliases"
downloads_path="$homepath/Downloads"
snap_path="$homepath/snap"

check_if_root() {
    if [ "$username" = "root" ]
    then
        echo "try executing from user account, no sudo required";
        exit 1;
    fi
}

ensure_dir() {
    dir=$1

    $mkdir_cmd $dir
}
